# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['anitya',
 'anitya.db',
 'anitya.db.migrations',
 'anitya.db.migrations.versions',
 'anitya.lib',
 'anitya.lib.backends',
 'anitya.lib.ecosystems',
 'anitya.lib.versions',
 'anitya.templates']

package_data = \
{'': ['*'],
 'anitya': ['static/*',
            'static/css/*',
            'static/css/fonts/*',
            'static/css/images/*',
            'static/docs/*',
            'static/docs/_images/*',
            'static/docs/_modules/*',
            'static/docs/_modules/anitya/db/*',
            'static/docs/_modules/anitya/lib/*',
            'static/docs/_modules/anitya/lib/versions/*',
            'static/docs/_modules/sqlalchemy/ext/declarative/*',
            'static/docs/_modules/sqlalchemy/orm/*',
            'static/docs/_modules/sqlalchemy/sql/*',
            'static/docs/_sources/*',
            'static/docs/_sources/docblocks/*',
            'static/docs/_static/*',
            'static/docs/docblocks/*',
            'static/ico/*',
            'static/img/*',
            'static/node_modules/*',
            'static/node_modules/@popperjs/core/*',
            'static/node_modules/@popperjs/core/dist/cjs/*',
            'static/node_modules/@popperjs/core/dist/esm/*',
            'static/node_modules/@popperjs/core/dist/esm/dom-utils/*',
            'static/node_modules/@popperjs/core/dist/esm/modifiers/*',
            'static/node_modules/@popperjs/core/dist/esm/utils/*',
            'static/node_modules/@popperjs/core/dist/umd/*',
            'static/node_modules/@popperjs/core/lib/*',
            'static/node_modules/@popperjs/core/lib/dom-utils/*',
            'static/node_modules/@popperjs/core/lib/modifiers/*',
            'static/node_modules/@popperjs/core/lib/utils/*',
            'static/node_modules/bootstrap/*',
            'static/node_modules/bootstrap/dist/css/*',
            'static/node_modules/bootstrap/dist/js/*',
            'static/node_modules/bootstrap/js/dist/*',
            'static/node_modules/bootstrap/js/dist/dom/*',
            'static/node_modules/bootstrap/js/dist/util/*',
            'static/node_modules/bootstrap/js/src/*',
            'static/node_modules/bootstrap/js/src/dom/*',
            'static/node_modules/bootstrap/js/src/util/*',
            'static/node_modules/bootstrap/scss/*',
            'static/node_modules/bootstrap/scss/forms/*',
            'static/node_modules/bootstrap/scss/helpers/*',
            'static/node_modules/bootstrap/scss/mixins/*',
            'static/node_modules/bootstrap/scss/utilities/*',
            'static/node_modules/bootstrap/scss/vendor/*',
            'static/node_modules/jquery-ui/*',
            'static/node_modules/jquery-ui/.github/*',
            'static/node_modules/jquery-ui/.github/workflows/*',
            'static/node_modules/jquery-ui/build/*',
            'static/node_modules/jquery-ui/build/tasks/*',
            'static/node_modules/jquery-ui/dist/*',
            'static/node_modules/jquery-ui/dist/themes/base/*',
            'static/node_modules/jquery-ui/dist/themes/base/images/*',
            'static/node_modules/jquery-ui/dist/themes/black-tie/*',
            'static/node_modules/jquery-ui/dist/themes/black-tie/images/*',
            'static/node_modules/jquery-ui/dist/themes/blitzer/*',
            'static/node_modules/jquery-ui/dist/themes/blitzer/images/*',
            'static/node_modules/jquery-ui/dist/themes/cupertino/*',
            'static/node_modules/jquery-ui/dist/themes/cupertino/images/*',
            'static/node_modules/jquery-ui/dist/themes/dark-hive/*',
            'static/node_modules/jquery-ui/dist/themes/dark-hive/images/*',
            'static/node_modules/jquery-ui/dist/themes/dot-luv/*',
            'static/node_modules/jquery-ui/dist/themes/dot-luv/images/*',
            'static/node_modules/jquery-ui/dist/themes/eggplant/*',
            'static/node_modules/jquery-ui/dist/themes/eggplant/images/*',
            'static/node_modules/jquery-ui/dist/themes/excite-bike/*',
            'static/node_modules/jquery-ui/dist/themes/excite-bike/images/*',
            'static/node_modules/jquery-ui/dist/themes/flick/*',
            'static/node_modules/jquery-ui/dist/themes/flick/images/*',
            'static/node_modules/jquery-ui/dist/themes/hot-sneaks/*',
            'static/node_modules/jquery-ui/dist/themes/hot-sneaks/images/*',
            'static/node_modules/jquery-ui/dist/themes/humanity/*',
            'static/node_modules/jquery-ui/dist/themes/humanity/images/*',
            'static/node_modules/jquery-ui/dist/themes/le-frog/*',
            'static/node_modules/jquery-ui/dist/themes/le-frog/images/*',
            'static/node_modules/jquery-ui/dist/themes/mint-choc/*',
            'static/node_modules/jquery-ui/dist/themes/mint-choc/images/*',
            'static/node_modules/jquery-ui/dist/themes/overcast/*',
            'static/node_modules/jquery-ui/dist/themes/overcast/images/*',
            'static/node_modules/jquery-ui/dist/themes/pepper-grinder/*',
            'static/node_modules/jquery-ui/dist/themes/pepper-grinder/images/*',
            'static/node_modules/jquery-ui/dist/themes/redmond/*',
            'static/node_modules/jquery-ui/dist/themes/redmond/images/*',
            'static/node_modules/jquery-ui/dist/themes/smoothness/*',
            'static/node_modules/jquery-ui/dist/themes/smoothness/images/*',
            'static/node_modules/jquery-ui/dist/themes/south-street/*',
            'static/node_modules/jquery-ui/dist/themes/south-street/images/*',
            'static/node_modules/jquery-ui/dist/themes/start/*',
            'static/node_modules/jquery-ui/dist/themes/start/images/*',
            'static/node_modules/jquery-ui/dist/themes/sunny/*',
            'static/node_modules/jquery-ui/dist/themes/sunny/images/*',
            'static/node_modules/jquery-ui/dist/themes/swanky-purse/*',
            'static/node_modules/jquery-ui/dist/themes/swanky-purse/images/*',
            'static/node_modules/jquery-ui/dist/themes/trontastic/*',
            'static/node_modules/jquery-ui/dist/themes/trontastic/images/*',
            'static/node_modules/jquery-ui/dist/themes/ui-darkness/*',
            'static/node_modules/jquery-ui/dist/themes/ui-darkness/images/*',
            'static/node_modules/jquery-ui/dist/themes/ui-lightness/*',
            'static/node_modules/jquery-ui/dist/themes/ui-lightness/images/*',
            'static/node_modules/jquery-ui/dist/themes/vader/*',
            'static/node_modules/jquery-ui/dist/themes/vader/images/*',
            'static/node_modules/jquery-ui/external/globalize/*',
            'static/node_modules/jquery-ui/external/jquery-1.10.0/*',
            'static/node_modules/jquery-ui/external/jquery-1.10.1/*',
            'static/node_modules/jquery-ui/external/jquery-1.10.2/*',
            'static/node_modules/jquery-ui/external/jquery-1.11.0/*',
            'static/node_modules/jquery-ui/external/jquery-1.11.1/*',
            'static/node_modules/jquery-ui/external/jquery-1.11.2/*',
            'static/node_modules/jquery-ui/external/jquery-1.11.3/*',
            'static/node_modules/jquery-ui/external/jquery-1.12.0/*',
            'static/node_modules/jquery-ui/external/jquery-1.12.1/*',
            'static/node_modules/jquery-ui/external/jquery-1.12.2/*',
            'static/node_modules/jquery-ui/external/jquery-1.12.3/*',
            'static/node_modules/jquery-ui/external/jquery-1.12.4/*',
            'static/node_modules/jquery-ui/external/jquery-1.8.0/*',
            'static/node_modules/jquery-ui/external/jquery-1.8.1/*',
            'static/node_modules/jquery-ui/external/jquery-1.8.2/*',
            'static/node_modules/jquery-ui/external/jquery-1.8.3/*',
            'static/node_modules/jquery-ui/external/jquery-1.9.0/*',
            'static/node_modules/jquery-ui/external/jquery-1.9.1/*',
            'static/node_modules/jquery-ui/external/jquery-2.0.0/*',
            'static/node_modules/jquery-ui/external/jquery-2.0.1/*',
            'static/node_modules/jquery-ui/external/jquery-2.0.2/*',
            'static/node_modules/jquery-ui/external/jquery-2.0.3/*',
            'static/node_modules/jquery-ui/external/jquery-2.1.0/*',
            'static/node_modules/jquery-ui/external/jquery-2.1.1/*',
            'static/node_modules/jquery-ui/external/jquery-2.1.2/*',
            'static/node_modules/jquery-ui/external/jquery-2.1.3/*',
            'static/node_modules/jquery-ui/external/jquery-2.1.4/*',
            'static/node_modules/jquery-ui/external/jquery-2.2.0/*',
            'static/node_modules/jquery-ui/external/jquery-2.2.1/*',
            'static/node_modules/jquery-ui/external/jquery-2.2.2/*',
            'static/node_modules/jquery-ui/external/jquery-2.2.3/*',
            'static/node_modules/jquery-ui/external/jquery-2.2.4/*',
            'static/node_modules/jquery-ui/external/jquery-3.0.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.1.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.1.1/*',
            'static/node_modules/jquery-ui/external/jquery-3.2.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.2.1/*',
            'static/node_modules/jquery-ui/external/jquery-3.3.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.3.1/*',
            'static/node_modules/jquery-ui/external/jquery-3.4.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.4.1/*',
            'static/node_modules/jquery-ui/external/jquery-3.5.0/*',
            'static/node_modules/jquery-ui/external/jquery-3.5.1/*',
            'static/node_modules/jquery-ui/external/jquery-3.6.0/*',
            'static/node_modules/jquery-ui/external/jquery-custom/*',
            'static/node_modules/jquery-ui/external/jquery-migrate-1.4.1/*',
            'static/node_modules/jquery-ui/external/jquery-migrate-3.3.2/*',
            'static/node_modules/jquery-ui/external/jquery-mousewheel/*',
            'static/node_modules/jquery-ui/external/jquery-simulate/*',
            'static/node_modules/jquery-ui/external/jquery/*',
            'static/node_modules/jquery-ui/external/qunit-assert-classes/*',
            'static/node_modules/jquery-ui/external/qunit-assert-close/*',
            'static/node_modules/jquery-ui/external/qunit-composite/*',
            'static/node_modules/jquery-ui/external/qunit/*',
            'static/node_modules/jquery-ui/external/requirejs/*',
            'static/node_modules/jquery-ui/themes/base/*',
            'static/node_modules/jquery-ui/themes/base/images/*',
            'static/node_modules/jquery-ui/ui/*',
            'static/node_modules/jquery-ui/ui/effects/*',
            'static/node_modules/jquery-ui/ui/i18n/*',
            'static/node_modules/jquery-ui/ui/vendor/jquery-color/*',
            'static/node_modules/jquery-ui/ui/widgets/*',
            'static/node_modules/jquery/*',
            'static/node_modules/jquery/dist/*',
            'static/node_modules/jquery/external/sizzle/*',
            'static/node_modules/jquery/external/sizzle/dist/*',
            'static/node_modules/jquery/src/*',
            'static/node_modules/jquery/src/ajax/*',
            'static/node_modules/jquery/src/ajax/var/*',
            'static/node_modules/jquery/src/attributes/*',
            'static/node_modules/jquery/src/core/*',
            'static/node_modules/jquery/src/core/var/*',
            'static/node_modules/jquery/src/css/*',
            'static/node_modules/jquery/src/css/var/*',
            'static/node_modules/jquery/src/data/*',
            'static/node_modules/jquery/src/data/var/*',
            'static/node_modules/jquery/src/deferred/*',
            'static/node_modules/jquery/src/deprecated/*',
            'static/node_modules/jquery/src/effects/*',
            'static/node_modules/jquery/src/event/*',
            'static/node_modules/jquery/src/exports/*',
            'static/node_modules/jquery/src/manipulation/*',
            'static/node_modules/jquery/src/manipulation/var/*',
            'static/node_modules/jquery/src/queue/*',
            'static/node_modules/jquery/src/traversing/*',
            'static/node_modules/jquery/src/traversing/var/*',
            'static/node_modules/jquery/src/var/*',
            'static/node_modules/moment/*',
            'static/node_modules/moment/dist/*',
            'static/node_modules/moment/dist/locale/*',
            'static/node_modules/moment/locale/*',
            'static/node_modules/moment/min/*',
            'static/node_modules/moment/src/*',
            'static/node_modules/moment/src/lib/create/*',
            'static/node_modules/moment/src/lib/duration/*',
            'static/node_modules/moment/src/lib/format/*',
            'static/node_modules/moment/src/lib/locale/*',
            'static/node_modules/moment/src/lib/moment/*',
            'static/node_modules/moment/src/lib/parse/*',
            'static/node_modules/moment/src/lib/units/*',
            'static/node_modules/moment/src/lib/utils/*',
            'static/node_modules/moment/src/locale/*',
            'static/node_modules/moment/ts3.1-typings/*']}

install_requires = \
['Flask-Login>=0.6.2,<0.7.0',
 'Flask-WTF>=1.0.1,<2.0.0',
 'Flask>=2.1.2,<3.0.0',
 'Jinja2<3.1.3',
 'SQLAlchemy>=1.4.41,<2.0.0',
 'WTForms>=3.0.1,<4.0.0',
 'Werkzeug==2.1.2',
 'alembic>=1.8.1,<2.0.0',
 'anitya-schema>=2.0.1,<3.0.0',
 'arrow>=1.2.3,<2.0.0',
 'beautifulsoup4>=4.11.1,<5.0.0',
 'defusedxml>=0.7.1,<0.8.0',
 'fedora-messaging>=3.1.0,<4.0.0',
 'ordered-set>=4.1.0,<5.0.0',
 'packaging>=23.0,<24.0',
 'python-dateutil>=2.8.2,<3.0.0',
 'semver>=2.13.0,<3.0.0',
 'social-auth-app-flask-sqlalchemy>=1.0.1,<2.0.0',
 'social-auth-app-flask>=1.0.0,<2.0.0',
 'sseclient>=0.0.27,<0.0.28',
 'straight.plugin>=1.5.0,<2.0.0',
 'toml>=0.10.2,<0.11.0',
 'webargs>=8.2.0,<9.0.0']

entry_points = \
{'console_scripts': ['check_service = anitya.check_service:main',
                     'librariesio_consumer = anitya.librariesio_consumer:main',
                     'sar = anitya.sar:main']}

setup_kwargs = {
    'name': 'anitya',
    'version': '1.7.0',
    'description': 'A cross-distribution upstream release monitoring project',
    'long_description': '\n.. image:: https://img.shields.io/pypi/v/anitya.svg\n  :target: https://pypi.org/project/anitya/\n\n.. image:: https://img.shields.io/pypi/pyversions/anitya.svg\n  :target: https://pypi.org/project/anitya/\n\n.. image:: https://readthedocs.org/projects/anitya/badge/?version=latest\n  :alt: Documentation Status\n  :target: https://anitya.readthedocs.io/en/latest/?badge=latest\n\n.. image:: https://img.shields.io/lgtm/alerts/g/fedora-infra/anitya.svg?logo=lgtm&logoWidth=18\n  :target: https://lgtm.com/projects/g/fedora-infra/anitya/alerts/\n\n.. image:: https://img.shields.io/lgtm/grade/javascript/g/fedora-infra/anitya.svg?logo=lgtm&logoWidth=18\n  :target: https://lgtm.com/projects/g/fedora-infra/anitya/context:javascript\n  \n.. image:: https://img.shields.io/lgtm/grade/python/g/fedora-infra/anitya.svg?logo=lgtm&logoWidth=18\n  :target: https://lgtm.com/projects/g/fedora-infra/anitya/context:python\n  \n\n======\nAnitya\n======\n\nAnitya is a release monitoring project. It provides a user-friendly interface\nto add, edit, or browse projects. A cron job can be configured to regularly\nscan for new releases of projects. When Anitya discovers a new release for a\nproject, it publishes a RabbitMQ messages via `fedora messaging`_.\nThis makes it easy to integrate with Anitya and perform actions when a new\nrelease is created for a project. For example, the Fedora project runs a service\ncalled `the-new-hotness <https://github.com/fedora-infra/the-new-hotness/>`_\nwhich files a Bugzilla bug against a package when the upstream project makes a\nnew release.\n\nFor more information, check out the `documentation`_!\n\n\nDevelopment\n===========\n\nFor details on how to contribute, check out the `contribution guide`_.\n\n\n.. _documentation: https://anitya.readthedocs.io/\n.. _contribution guide: https://anitya.readthedocs.io/en/latest/contributing.html\n.. _fedora messaging: https://fedora-messaging.readthedocs.io/en/latest\n',
    'author': 'Pierre-Yves Chibon',
    'author_email': 'pingou@pingoured.fr',
    'maintainer': 'Michal Konecny',
    'maintainer_email': 'mkonecny@redhat.com',
    'url': 'https://release-monitoring.org',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8.1,<4.0.0',
}


setup(**setup_kwargs)
